Bug 198749 - [PATCH] security/krb5-111: Fix build with LibreSSL
Summary: [PATCH] security/krb5-111: Fix build with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Cy Schubert
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-03-20 20:44 UTC by Bernard Spil
Modified: 2015-03-23 19:06 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (cy)


Attachments
svn diff for security/krb5-111 (1.27 KB, text/plain)
2015-03-20 20:44 UTC, Bernard Spil
no flags Details
Poudriere build log for security/krb5-111 (62.83 KB, application/x-gzip)
2015-03-20 20:46 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2015-03-20 20:44:52 UTC
Created attachment 154589 [details]
svn diff for security/krb5-111

security/krb5-111 relies on the OpenSSL version from opensslv.h for detecting CMS features. This makes building with LibreSSL fail as that project has removed CMS support. This patch adds a check for OPENSSL_NO_CMS as defined by LibreSSL in opensslfeatures.h
Comment 1 Bernard Spil freebsd_committer 2015-03-20 20:46:39 UTC
Created attachment 154590 [details]
Poudriere build log for security/krb5-111

gzip-ed larger than 1MB
Comment 2 Cy Schubert freebsd_committer 2015-03-21 06:46:25 UTC
Will need to test.
Comment 3 commit-hook freebsd_committer 2015-03-23 19:04:42 UTC
A commit references this bug:

Author: cy
Date: Mon Mar 23 19:04:25 UTC 2015
New revision: 382023
URL: https://svnweb.freebsd.org/changeset/ports/382023

Log:
  Fix build with libressl.

  PR:		198749, 198750

Changes:
  head/security/krb5-111/Makefile
  head/security/krb5-111/files/patch-plugins__preauth__pkinit__pkinit_crypto_openssl.c
  head/security/krb5-112/Makefile
  head/security/krb5-112/files/patch-plugins__preauth__pkinit__pkinit_crypto_openssl.c
Comment 4 Cy Schubert freebsd_committer 2015-03-23 19:05:02 UTC
Committed thanks.